# -*-Perl-*-
# $Id: machine.pm,v 1.2 1998/07/17 19:37:16 hans Exp $

package machine;
use Exporter;
@ISA = qw ( Exporter );

sub new {
    my $type = shift;
    my %params = @_;
    my $self = {};
    foreach $key (keys %params) {
	$self->{$key} = $params{$key};
    }
    bless $self;
    return $self;
}

sub display {
    my $self = shift;
    my @keys = @_ ? @_ : sort keys %$self;
    foreach $key (@keys) {
	print "\t$key => $self->{$key}\n";
    }
}


#
# Simple attributes
#

sub name {
    my $self = shift;
    return $self->{"name"};
}

sub addmachy1 {
    my $self = shift;
    my ( $machy1 ) = @_;
    $self->{"machy1"} = $machy1;
}

sub machy1 {
    my $self = shift;
    return $self->{"machy1"};
}

sub addmachy2 {
    my $self = shift;
    my ( $machy2 ) = @_;
    $self->{"machy2"} = $machy2;
}

sub machy2 {
    my $self = shift;
    return $self->{"machy2"};
}

sub addmachdesc {
    my $self = shift;
    my ( $machdesc ) = @_;
    $self->{"machdesc"} = $machdesc;
}

sub machdesc {
    my $self = shift;
    return $self->{"machdesc"};
}


#
# List attributes
#

sub addgame {
    my $self = shift;
    my ( $game ) = @_;
    push(@{$self->{"games"}}, $game);
}

sub games {
    my $self = shift;
    return @{$self->{"games"}};
}
