# -*-Perl-*-
# $Id: series.pm,v 1.3 1999/02/21 15:59:12 hans Exp $

package series;
use Exporter;
@ISA = qw ( Exporter );

sub new {
    my $type = shift;
    my %params = @_;
    my $self = {};
    foreach $key (keys %params) {
	$self->{$key} = $params{$key};
    }
    bless $self;
    return $self;
}

sub display {
    my $self = shift;
    my @keys = @_ ? @_ : sort keys %$self;
    foreach $key (@keys) {
	print "\t$key => $self->{$key}\n";
    }
}

sub objtype {
    return "series";
}

#
# Simple attributes
#

sub addsername {
    my $self = shift;
    my ( $sername ) = @_;
    $self->{"sername"} = $sername;
}

sub sername {
    my $self = shift;
    return $self->{"sername"};
}

sub addserdesc {
    my $self = shift;
    my ( $serdesc ) = @_;
    $self->{"serdesc"} = $serdesc;
}

sub serdesc {
    my $self = shift;
    return $self->{"serdesc"};
}

sub addcover {
    my $self = shift;
    my ( $cover ) = @_;
    $self->{"cover"} = $cover;
}

sub cover {
    my $self = shift;
    return $self->{"cover"};
}


sub addserfile {
    my $self = shift;
    my ( $serfile ) = @_;
    $self->{"serfile"} = $serfile;
}

sub serfile {
    my $self = shift;
    return $self->{"serfile"};
}

#
# List attributes
#

sub addgame {
    my $self = shift;
    my ( $game ) = @_;
    push(@{$self->{"game"}}, $game);
}

sub game {
    my $self = shift;
    return @{$self->{"game"}};
}

sub addsee {
    my $self = shift;
    my ( $see ) = @_;
    push(@{$self->{"see"}}, main::company::compnametolink($see));
}

sub see {
    my $self = shift;
    return @{$self->{"see"}};
}
